Bug 150557 - Provide a way to enable detailed logging from the IDE
Provide a way to enable detailed logging from the IDE
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Project
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Erno Mononen
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-17 15:46 UTC by Erno Mononen
Modified: 2009-02-19 23:01 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erno Mononen 2008-10-17 15:46:01 UTC
To make it easier for users to submit logs with detailed logging enabled. Options -> Misc -> Ruby is likely the best 
place for this.
Comment 1 Erno Mononen 2008-10-17 16:22:17 UTC
Implemented in #9b3ee8a8bfbe, will push later. The check boxes control the following loggers:

org.netbeans.modules.ruby
org.rubyforge.debugcommons

For the former the level is set to FINE and for the latter to FINEST when the respective check boxes are selected. If 
they were already configured to use a lower level in a config file, they will be checked by default, but unchecking 
them will have no effect. Possibly will handle this as a defect and fix later. 
Comment 2 Quality Engineering 2008-10-21 04:06:24 UTC
Integrated into 'main-golden', will be available in build *200810210201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9b3ee8a8bfbe
User: Erno Mononen <emononen@netbeans.org>
Log: #150557: Provide a way to enable detailed logging from the IDE


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo